// (c) 2004 Max Howell (max.howell@methylblue.com)
// See COPYING file for licensing information

#ifndef CODEINEACTIONS_H
#define CODEINEACTIONS_H

#include <tdeactionclasses.h>    //baseclass
#include <tdeactioncollection.h> //convenience

namespace Codeine
{
   TDEActionCollection *actionCollection(); ///defined in mainWindow.cpp
   TDEAction *action( const char* ); ///defined in mainWindow.cpp
   inline TDEToggleAction *toggleAction( const char *name ) { return (TDEToggleAction*)action( name ); }

   class PlayAction : public TDEToggleAction
   {
   public:
      PlayAction( TQObject *receiver, const char *slot, TDEActionCollection* );

   protected:
      virtual void setChecked( bool );
   };
}

#endif
